import QtQuick 2.0

Rectangle {
    width: 500
    height: 500
    Text {
        text: saunaControl.temp + "°C"
        font.pixelSize: parent.height/3
        anchors.centerIn: parent
    }
    Rectangle {
        id: powerButton
        property bool saunaPower: false
        color: saunaPower ? "salmon" : "steelblue"
        radius: 30
        width: parent.width
        height: parent.height/3
        anchors.bottom: parent.bottom
        Text {
            anchors.centerIn: parent
            text: powerButton.saunaPower ? "Sammuta sauna" : "Käynnistä sauna"
        }
        MouseArea {
            anchors.fill: parent
            onClicked: {
                powerButton.saunaPower = !powerButton.saunaPower
                saunaControl.setSaunaPower(powerButton.saunaPower)
            }
        }
    }
    ListView {
        width: parent.width/8; height: parent.height
        model: tempHistory
        delegate: Item {
            height: 25
            width: parent.width
            Rectangle {
                color: "red"
                opacity: parseInt(modelData)/100
                anchors.fill: parent
            }
            Text { text: modelData + "°C"; anchors.centerIn: parent }
        }
    }
}
